<script setup lang="ts">
import { mdiWrench, mdiTestTube, mdiHeart } from '@mdi/js'

useHead({ title: 'About' })

type UserInfo = {
  title: string
  subtitle: string
  link?: string
}

const developers: UserInfo[] = [
  {
    title: 'Omado',
    subtitle: 'Server developer, Frontend developer'
  },
  {
    title: 'Lihe07',
    subtitle: 'Server developer'
  },
  {
    title: '250king',
    subtitle: 'Launcher developer'
  },
  {
    title: 'Misaka10843',
    subtitle: 'Launcher developer'
  },
  {
    title: 'Yakisoba',
    subtitle: 'Infrastructure operator'
  },
  {
    title: 'Y52en',
    subtitle: 'Data miner'
  },
  {
    title: 'Circle lin',
    subtitle: 'Data miner'
  },
  {
    title: 'Ayaya',
    subtitle: 'Data miner'
  },
  {
    title: 'Youko',
    subtitle: 'Data miner'
  },
  {
    title: '',
    subtitle: 'And more people not listed here'
  }
]

const testers: UserInfo[] = [
  {
    title: 'Smallwu',
    subtitle: ''
  },
  {
    title: 'AyayaRize',
    subtitle: ''
  },
  {
    title: 'fibachocolate',
    subtitle: ''
  },
  {
    title: '',
    subtitle: 'And more people not listed here'
  }
]

const specialThanks: UserInfo[] = [
  {
    title: 'Runners Revival Team',
    subtitle: 'Great website made for revive the dead game'
  },
  {
    title: 'Pokenesos Team',
    subtitle: 'Great tutorials made for revive the dead game for iOS'
  },
  {
    title: 'LL Hax Team',
    subtitle: 'Great implementations made for revive the dead games'
  },
  {
    title: 'Wiimmfi Team',
    subtitle:
      'Wonderful project made for revive the dead console online services'
  },
  {
    title: '',
    subtitle: 'And more people and teams not listed here'
  }
]
</script>

<template>
  <v-container>
    <v-row justify="center">
      <v-col class="my-2" cols="12" md="10" lg="8">
        <h1 class="title text-brown-darken-4">About the project</h1>
        <p class="subtitle text-brown-darken-4">
          "Sparkle Fantasia Project" is dedicated to bringing back the
          once-discontinued "Kirakira Fantasy RPG" game. The game was
          discontinued on February 28th, 2023, and the servers were shut down
          after a week. We lost our favorite characters that day, and it was a
          sad time for many people. However, we worked hard for re-running the
          game, and now we can meet the characters again.
        </p>
        <p class="my-6 text-brown-darken-4">
          Sparkle fantasia has been Proudly brought to you by the Sparkle team.
        </p>
        <v-container>
          <v-row>
            <v-col cols="12" md="6" lg="4">
              <v-card class="d-flex flex-column h-100 mb-2">
                <v-card-title class="subtitle ml-2 mt-1 text-brown-darken-3">
                  <v-icon :icon="mdiWrench" left />
                  Developers
                </v-card-title>
                <v-card-text>
                  <v-list :items="developers" item-props lines="three">
                    <template #title="{ title }">
                      <p v-text="title" />
                    </template>
                    <template #subtitle="{ subtitle }">
                      <p v-text="subtitle" />
                    </template>
                  </v-list>
                </v-card-text>
              </v-card>
            </v-col>
            <v-col cols="12" md="6" lg="4">
              <v-card class="d-flex flex-column h-100 mb-2">
                <v-card-title class="subtitle ml-2 mt-1 text-brown-darken-3">
                  <v-icon :icon="mdiTestTube" left />
                  Testers
                </v-card-title>
                <v-card-text>
                  <v-list :items="testers" item-props lines="three">
                    <template #subtitle="{ subtitle }">
                      <p v-text="subtitle"></p>
                    </template>
                  </v-list>
                </v-card-text>
              </v-card>
            </v-col>
            <v-col cols="12" md="6" lg="4">
              <v-card class="d-flex flex-column h-100 mb-2">
                <v-card-title class="subtitle ml-2 mt-1 text-brown-darken-3">
                  <v-icon :icon="mdiHeart" left />
                  Special thanks
                </v-card-title>
                <v-card-text>
                  <v-list :items="specialThanks" item-props lines="three">
                    <template #subtitle="{ subtitle }">
                      <p v-text="subtitle"></p>
                    </template>
                  </v-list>
                </v-card-text>
              </v-card>
            </v-col>
          </v-row>
        </v-container>
        <p class="my-6 text-brown-darken-4">
          And Of course, we would like to big thanks to all the people who
          created this game.
        </p>
      </v-col>
    </v-row>
  </v-container>
</template>
